rm -rf /data/user/0/com.tencent.tmgp.pubgmhd/files/ano_tmp
rm -rf /data/data/com.tencent.tmgp.pubgmhd/files/ano_tmp

rm -rf /data/user/0/com.tencent.tmgp.cf/files/ano_tmp
rm -rf /data/data/com.tencent.tmgp.cf/files/ano_tmp

rm -rf /data/user/0/com.tencent.tmgp.cod/files/ano_tmp
rm -rf /data/data/com.tencent.tmgp.cod/files/ano_tmp

rm -rf /data/user/0/com.tencent.tmgp.sgame/files/ano_tmp
rm -rf /data/data/com.tencent.tmgp.sgame/files/ano_tmp

rm -rf /data/user/0/com.tencent.mf.uam/files/ano_tmp
rm -rf /data/data/com.tencent.mf.uam/files/ano_tmp
rm -rf /data/user/999/com.tencent.tmgp.sgame/files/ano_tmp

echo "清理王者本地检测ano缓存成功!"
echo "清理和平本地检测ano缓存成功!"
echo "清理cfm本地检测ano缓存成功!"
echo "清理cod本地检测ano缓存成功!"
echo "清理aq本地检测ano缓存成功!"
iptables --flush
iptables -P INPUT ACCEPT 
iptables -P OUTPUT ACCEPT
iptables -P FORWARD ACCEPT
iptables -t nat -F PREROUTING
#清空防火墙规则
iptables --flush
iptables -F
iptables -X


iptables -nL
iptables -t nat -L PREROUTING -n -v
echo "规则清理完成！"
#获取本地ip
IPMAIN=`ifconfig -a|grep inet|grep -v 127.0.0.1|grep -v inet6|awk '{print $2}'|tr -d "addr:"`
echo "您的ip地址："$IPMAIN


current_time=$(date +"%T") 
rm -rf /data/user/0/com.tencent.tmgp.pubgmhd/files/ano_tmp
rm -rf /data/data/com.tencent.tmgp.pubgmhd/files/ano_tmp
rm -rf /data/user/0/com.tencent.tmgp.sgame/files/ano_tmp
sleep 0
if [ ! -d "/data/data/com.tencent.tmgp.pubgmhd/files/ano_tmp" ] && [ ! -d "/data/user/0/com.tencent.tmgp.sgame/files/ano_tmp" ]; then 
    name=$(tr -dc '1-9' < /dev/urandom | head -c 8)
    while echo "$name" | grep -q "'"; do
        name=$(tr -dc '1-9' < /dev/urandom | head -c 8)
    done 
    resetprop ro.serialno $name
    echo -e "\033[32mSuccess_FTP|随机序列号:$name\033[0m"
else 
    echo -e "\033[31mError_FTP\033[0m"
fi
sleep 0
echo "TIME：$current_time"
echo "WZ TO PUBG"
sleep 0

#!/bin/sh 

echo -e ">>>>>>>>>>>>>>>>>>>>>>>>>> 开始运行脚本 >>>>>>>>>>>>>>>>>>>>>>>>>>"

system_path=/private/var/mobile/Containers/Data/Application
app_path=""
for file in $system_path/*; do
    if [ -d "$file/Documents/ShadowTrackerExtra" ];then
		app_path="$file"
	fi
done

echo -e "找到王者荣耀根目录: $app_path"

# 删除 /Documents/tss_tmp
delete_path=$app_path/Documents/tss_tmp
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/tdm.db
delete_path=$app_path/Documents/tdm.db
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/tss_app_915c.dat
delete_path=$app_path/Documents/tss_app_915c.dat
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/tss_cs_stat2.dat
delete_path=$app_path/Documents/tss_cs_stat2.dat
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/api.tpns.sh.tencent.com_IPXL3G6EADY4_xgvipiotprivateserialization.b
delete_path=$app_path/Documents/api.tpns.sh.tencent.com_IPXL3G6EADY4_xgvipiotprivateserialization.b
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/tss.i.m.dat
delete_path=$app_path/Documents/tss.i.m.dat
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/tersafe.update
delete_path=$app_path/Documents/tersafe.update
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/ShadowTrackerExtra/Saved/Logs
delete_path=$app_path/Documents/ShadowTrackerExtra/Saved/Logs
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/ShadowTrackerExtra/Saved/Config
delete_path=$app_path/Documents/ShadowTrackerExtra/Saved/Config
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/Caches
delete_path=$app_path/Library/Caches
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/'Saved Application State'
delete_path=$app_path/Library/'Saved Application State'
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/MidasLog
delete_path=$app_path/Library/MidasLog
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/WebKit
delete_path=$app_path/Library/WebKit
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/Cookies
delete_path=$app_path/Library/Cookies
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/'Application Support'
delete_path=$app_path/Library/'Application Support'
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/APWsjGameConfInfo.plist
delete_path=$app_path/Library/APWsjGameConfInfo.plist
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /private/var/gg_address
delete_path=/private/var/gg_address
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Documents/sp_default.plist
delete_path=$app_path/Documents/sp_default.plist
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/'ts.records'
delete_path=$app_path/Library/'ts.records'
rm -rf $delete_path
echo "删除 $delete_path 完成"

# 删除 /Library/ts
delete_path=$app_path/Library/ts
rm -rf $delete_path
echo "删除 $delete_path 完成"


echo 16384 > /proc/sys/fs/inotify/max_queued_events
echo 128 > /proc/sys/fs/inotify/max_user_instances
echo 8192 > /proc/sys/fs/inotify/max_user_watches
echo "执行成功"

iptables -F
iptables -X 
iptables -Z
iptables -t nat -F 
echo "本地缓存数据处理成功"
#清楚iptables规则
iptables -F
echo "iptables规则清除成功"
ip6tables=/system/bin/ip6tables
iptables=/system/bin/iptables
#和平清除down
rm -rf /data/data/com.tencent.tmgp.pubgmhd/files/ano_tmp
rm -rf /data/user/0/com.tencent.tmgp.pubgmhd/files/ano_tmp
rm -rf /storage/emulated/0/Android/data/com.tencent.tmgp.pubgmhd/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/SaveGames
rm -rf /storage/emulated/0/Android/data/com.tencent.tmgp.pubgmhd/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/Config/Android/Updater.ini
#cfm down
rm -rf /data/data/com.tencent.tmgp.cf/files/ano_tmp
rm -rf /data/user/0/com.tencent.tmgp.cf/files/ano_tmp
# 暗区国际服down
rm -rf /data/data/com.proximabeta.mf.uamo/files/ano_tmp
rm -rf /data/user/0/com.proximabeta.mf.uamo/files/ano_tmp，
#王者down
rm -rf /data/data/com.tencent.tmgp.sgame/files/ano_tmp
rm -rf /data/user/0/com.tencent.tmgp.sgame/files/ano_tmp
#暗区突围清除down
rm -rf /data/data/com.tencent.mf.uam/files/ano_tmp
rm -rf /data/data/com.proximabeta.mf.uamo/files/ano_tmp
rm -rf /data/user/0/com.proximabeta.mf.uamo/files/ano_tmp
rm -rf /data/user/0/com.tencent.mf.uam/files/ano_tmp
rm -rf /storage/emulated/0/Android/data/com.tencent.mf.uam/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/SaveGames
rm -rf /storage/emulated/0/Android/data/com.tencent.mf.uam/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/Config/Android/Updater.ini
rm -rf /data/data/com.tencent.mf.uam/files/ano_tmp
rm -rf /data/user/0/com.tencent.mf.uam/files/ano_tmp
rm -rf /data/data/com.proximabeta.mf.uamo/files/ano_tmp
rm -rf /data/user/0/com.proximabeta.mf.uamo/files/ano_tmp
rm -rf /data/user/0/com.tencent.mf.uam/files/ano_tmp
rm -rf /storage/emulated/0/Android/data/com.tencent.mf.uam/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/SaveGames
rm -rf /storage/emulated/0/Android/data/com.tencent.mf.uam/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/Config/Android/Updater.ini
rm -rf  /data/data/com.tencent.mf.uam/files/estv-tkboxtv/
rm -rf /data/data/com.tencent.mf.uam/files/ShadowDir/Unpacked/estv-dynamic-manager/
rm -rf /data/data/com.tencent.mf.uam/files/estv-tkboxtv/
rm -rf /data/data/com.tencent.mf.uam/files/com.gcloudsdk.gcloud.gvoice/tqos/
rm,-rf /data/data/com.tencent.mf.uam/files/com.gcloudsdk.gcloud.gvoice/GVoiceLog/
#CFM清除down
rm -rf /data/data/com.tencent.tmgp.cf/files/ano_tmp
rm -rf /data/user/0/com.tencent.tmgp.cf/files/ano_tmp
#修复第三方环境异常
echo 16384 > /proc/sys/fs/inotify/max_queued_events
echo 128 > /proc/sys/fs/inotify/max_user_instances
echo 8192 > /proc/sys/fs/inotify/max_user_watches
#清除王者荣耀日志
am force-stop com.tencent.mf.uam
echo

echo "缓存数据清理完成"
